# charlesreid1-awesome [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

I am awesome. Here is a list of my awesome stuff.

* [Code](#code)
    * [@charlesreid1 on Github](#charlesreid1-on-github)
    * [git\.charlesreid1\.com](#gitcharlesreid1com)
        * [Raspberry Pi repositories](#raspberry-pi-repositories)
        * [Docker repositories](#docker-repositories)
* [Github Blog](#github-blog)
* [Charlesreid1\.com Wiki](#charlesreid1com-wiki)
    * [Software Engineering](#software-engineering)
    * [Graphs](#graphs)
    * [Mathematics](#mathematics)
    * [Numerical Methods and Simulation](#numerical-methods-and-simulation)
    * [Puzzles](#puzzles)
    * [Hacking and Networking](#hacking-and-networking)
    * [MiniPwners](#minipwners)
    * [Radio](#radio)
* [Twitter bots](#twitter-bots)
    * [Apollo Space Junk Bot Flock](#apollo-space-junk-bot-flock)
    * [Paradise Lost Bot Flock](#paradise-lost-bot-flock)
    * [Ginsberg Bot Flock](#ginsberg-bot-flock)
    * [This Is Watergate Bot](#this-is-watergate-bot)
    * [Code](#code-1)
* [Reading](#reading)
* [Jams](#jams)



<br />
<br />

- - - - 

<br />
<br />




<a name="code"></a>
# Code

<a name="code-github"></a>
## @charlesreid1 on Github

I am user [@charlesreid1](https://github.com/charlesreid1) on Github.

I also maintain the [@data-engineering-scenarios](https://github.com/data-engineering-scenarios)
organization on Github, which illustrates the implementation of various data engineering pipelines.

<a name="code-git"></a>
## git.charlesreid1.com

*Self-hosted Github clone (gitea) at [git.charlesreid1.com](https://charlesreid1.com:3000).*

More info about gitea, a Go-based Github clone:
* [Blog post on gitea](https://charlesreid1.github.io/setting-up-a-self-hosted-github-clone-with-gitea.html)
* [Charlesreid1 wiki page on gitea](https://charlesreid1.com/wiki/Gitea)

Repositories:
* [flight-aware](https://charlesreid1.com:3000/charlesreid1/flight-aware) - Installation script for FlightAware USB stick, and other related notes/software/scripts.
* [nosecleaner](https://charlesreid1.com:3000/charlesreid1/nosecleaner) - A suite of tools for wireless security, OSI Levels 1 and 2.
* [code-jam](https://charlesreid1.com:3000/charlesreid1/code-jam) - Solutions to programming problems from Google Code Jam.
* [icpc](https://charlesreid1.com:3000/charlesreid1/icpc) - Solutions to programming problems from the International Competitive Programming Competition World Finals.
* [lfw_fuel](https://charlesreid1.com:3000/charlesreid1/lfw_fuel) - Labeled Faces in the Wild dataset, converted to fuel.
* [tsp](https://charlesreid1.com:3000/charlesreid1/tsp) -  Solve, time, and profile programs solving the traveling salesperson problem in various languages. Solution relies on use of graph object.
* [openvpn](https://charlesreid1.com:3000/charlesreid1/openvpn) - OpenVPN server configuration files.
* [n-queens](https://charlesreid1.com:3000/charlesreid1/n-queens) - Solve, time, and profile programs solving the N queens problem in various languages. Solution relies on built-in integer array types.
* [yargwid](https://charlesreid1.com:3000/charlesreid1/yargwid) - Yet Another Repository in Git with Dotfiles.
* [hello-world](https://charlesreid1.com:3000/charlesreid1/hello-world) -  Simple "hello world"-style template programs. These will get you started writing programs in various languages.
* [hello-data-structures](https://charlesreid1.com:3000/charlesreid1/hello-data-structures) - Some "hello world"-style data structure objects. Helps with inane tech interview questions and/or teaching computer science - whichever comes first.
* [hello-oop](https://charlesreid1.com:3000/charlesreid1/hello-oop) - Some "hello world"-style object oriented programs. These will get you started writing object oriented programs in various languages.
* [dang-streamgraph](https://charlesreid1.com:3000/charlesreid1/dang-streamgraph) - D3 + Angular + Pelican for visualizing data using streamgraphs.
* [cyborg-pelican](https://charlesreid1.com:3000/charlesreid1/cyborg-pelican) - My first Python Pelican repository.
* [mnemonia](https://charlesreid1.com:3000/charlesreid1/mnemonia) - Repository containing mnemonics I have known, used, and loved.
* [java-packet-sniffer](https://charlesreid1.com:3000/charlesreid1/java-packet-sniffer) - A Java packet sniffer that uses jNetPcap to sniff packets and examine headers.
* [pantera](https://charlesreid1.com:3000/charlesreid1/pantera) - A toolset for using and extending Cantera in Python.
* [atom-hammer-theme](https://charlesreid1.com:3000/charlesreid1/atom-hammer-theme) - A Pelican theme for the Asmodeus project (https://github.com/charlesreid1/asmodeus)
* [kenwood-ts570s](https://charlesreid1.com:3000/charlesreid1/kenwood-ts570s) - Scripts for interfacing with a Kenwood TS-570S radio via serial.
* [magic-johnson](https://charlesreid1.com:3000/charlesreid1/magic-johnson) - This is a robot that scrapes the web for mp3s, turns them into videos, and uploads them to YouTube.
* [michael-morse](https://charlesreid1.com:3000/charlesreid1/michael-morse) - A simple time-based morse code library in Python, written for Raspberry Pi applications.
* [tony-gwynn](https://charlesreid1.com:3000/charlesreid1/tony-gwynn) - A robot that creates a Twilio menu to play audio files.
* [john-stockton](https://charlesreid1.com:3000/charlesreid1/john-stockton) - A robot that scrapes MP3s from a website, and transcribes them using the Google Text-to-Speech API.
* [archimedes-pelican](https://charlesreid1.com:3000/charlesreid1/archimedes-pelican) - Pages using Angular.js MVC to serve D3.js visualizations, with files managed by Python Pelican.

### Raspberry Pi repositories

*Repositories containing scripts for Raspberry Pis from the 2015-2016 undergraduate reserach project
at South Seattle College, which focused on collecting and analyzing wifi data from wireless sensor networks.*

[@rpi on git.charlesreid1.com](https://charlesreid1.com:3000/rpi)

Raspberry Pi repositories:
* [pi-aircrack-batch](https://charlesreid1.com:3000/rpi/pi-aircrack-batch) - Put a wifi device into monitor mode and use aircrack to dump CSV files at specified intervals.
* [pi-process-wifi-data](https://charlesreid1.com:3000/rpi/pi-process-wifi-data) - Scripts for processing directories full of aircrack data from Raspberry Pis, extracting AP and client data, and populating a MongoDB document collection with the results.
* [pi-stunnel](https://charlesreid1.com:3000/rpi/pi-stunnel) - Raspberry Pi stunnel client configuration files.
* [pi-startup-services](https://charlesreid1.com:3000/rpi/pi-startup-services) - Info and scripts for setting startup services on the raspberry pi.
* [pi-setup](https://charlesreid1.com:3000/rpi/pi-setup) - Setup for Raspberry Pi computers.
* [pi-transmission](https://charlesreid1.com:3000/rpi/pi-transmission) - Scripts for transmission of data from Raspberry Pi to external server, via rsync and/or scp.
* [pi-join-wifi](https://charlesreid1.com:3000/rpi/pi-join-wifi) - Scripts to help Raspberry Pis join wifi networks.

### Docker repositories

*Repositories containing scripts and Dockerfiles for various Docker containers.* 

[@docker on git.charlesreid1.com](https://charlesreid1.com:3000/docker)

Docker:
* [d-deep-learning](https://charlesreid1.com:3000/docker/d-deep-learning) - Files for the Docker Deep Learning pod. See https://charlesreid1.com/wiki/Docker/Pods/Deep_Learning for details.
* [d-oui](https://charlesreid1.com:3000/docker/d-oui) - A Docker container to wrap the IEEE OUI lookup table. See https://charlesreid1.com/wiki/OUI for more information and script. See http://standards-oui.ieee.org/oui.txt for raw data.
* [d-jupyter](https://charlesreid1.com:3000/docker/d-jupyter) - Files for creating a Jupyter notebook docker container.
* [d-stunnel](https://charlesreid1.com:3000/docker/d-stunnel) - Dockerfile to build an stunnel docker container.
* [d-mongodb](https://charlesreid1.com:3000/docker/d-mongodb) - Files for building MongoDB docker container.
* [d-mongoexpress](https://charlesreid1.com:3000/docker/d-mongoexpress) - Dockerfiles for building a Mongo Express container. See https://github.com/mongo-express/mongo-express
* [d-rsync](https://charlesreid1.com:3000/docker/d-rsync) - Docker container running an rsync daemon to listen for rsync requests. 



<br />
<br />



<a name="blog"></a>
# Github Blog 

*Blog for miscellaneous research and teaching notes and writeups.*

[charlesreid1.github.io](https://charlesreid1.github.io/) 


<br />
<br />


<a name="wiki"></a>
# Charlesreid1.com Wiki

<a name="wiki-software-engineering"></a>
## Software Engineering

* [Art of Computer Programming](https://charlesreid1.com/wiki/Category:ACOP)

* [Data Structures](https://charlesreid1.com/wiki/Study_Guides)

* Programming Problems and Puzzles:
	* [Traveling Salesperson Problem](https://charlesreid1.com/wiki/Traveling_Salesperson_Problem)
	* [8 Queens](https://charlesreid1.com/wiki/8_Queens)

* APIs:
    * [Twilio](https://charlesreid1.com/wiki/Twilio)
    * [Twilio/Text Menus](https://charlesreid1.com/wiki/Twilio/Text_Menus)
    * [Twilio/Twimlet for Voicemail](https://charlesreid1.com/wiki/Twilio/Twimlet_for_Voicemail)
	* [Twitter](https://charlesreid1.com/wiki/Twitter)

<a name="wiki-graphs"></a>
## Graphs

* Notes on [Graph Theory](https://charlesreid1.com/wiki/Template:GraphsFlag)
	* [Graphs - First Theorem of Graph Theory](https://charlesreid1.com/wiki/First_Theorem_of_Graph_Theory) - the first theorem of graph theory is, you do not talk about graph theory...
    * [Graphs - Breadth-First Traversal](https://charlesreid1.com/wiki/BFT) - algorithms and code related to breadth-first traversal
    * [Graphs - Depth-First Traversal](https://charlesreid1.com/wiki/DFT) - algorithms and code related to depth-first traversal
    * [Graphs - Directed Acyclic Graphs](https://charlesreid1.com/wiki/DAGs) - directed acyclic graphs (graphs that are trees)
    * [Graphs - Abstract Data Type](https://charlesreid1.com/wiki/Graphs/ADT) - graph abstract data types
    * [Graphs - Connectivity](https://charlesreid1.com/wiki/Graphs/Connectivity) - computing connectivity of a graph
    * [Graphs - Cycles](https://charlesreid1.com/wiki/Graphs/Cycles) - finding cycles in a graph
    * [Graphs - Data Structures](https://charlesreid1.com/wiki/Graphs/Data_Structures) - data structures for storing graphs
    * [Graphs - Definitions](https://charlesreid1.com/wiki/Graphs/Definitions) - definitions related to graphs
    * [Graphs - Dijkstra](https://charlesreid1.com/wiki/Graphs/Dijkstra) - Dijkstra's depth-first search algorithm
    * [Graphs - Euler Tour](https://charlesreid1.com/wiki/Graphs/Euler_Tour) - implementations of an Euler Tour on a graph
    * [Graphs - Floyd Warshall](https://charlesreid1.com/wiki/Graphs/Floyd_Warshall) - page on the Floyd Warshall algorithm
    * [Graphs - Guava](https://charlesreid1.com/wiki/Graphs/Guava) - implementing graphs using Google's Guava library
    * [Graphs - Java Adjacency Map](https://charlesreid1.com/wiki/Graphs/Java/Adjacency_Map) - implementation of graphs using the adjacency map data structure
    * [Graphs - Matching](https://charlesreid1.com/wiki/Graphs/Matching) - matching algorithms on a graph
    * [Graphs - Shortest Path](https://charlesreid1/Graphs/Shortest_Path) - finding the shortest path from one vertex to another on a graph
    * [Graphs - Transitive Closure](https://charlesreid1.com/wiki/Graphs/Transitive_Closure) - finding the transitive closure of a graph (another graph that replaces a connection between two vertices with an edge between those vertices)
    * [Graphs - Traversal](https://charlesreid1.com/wiki/Graphs/Traversals) - algorithms, implementations, links, and code related to traversal of graphs


<a name="wiki-mathematics"></a>
## Mathematics

* Pages of Mathematical Constants (Most to 1,000 Digits):
	* [Euler-Mascheroni Constant](https://charlesreid1.com/wiki/Euler-Mascheroni_Constant)
	* [Sqrt 2](https://charlesreid1.com/wiki/Sqrt2)
	* [Phi](https://charlesreid1.com/wiki/Phi)
	* [Sqrt 3](https://charlesreid1.com/wiki/Sqrt3)
	* [e](https://charlesreid1.com/wiki/E)
	* [Sqrt 5](https://charlesreid1.com/wiki/Sqrt5)
	* [Sqrt 6](https://charlesreid1.com/wiki/Sqrt6)
	* [Sqrt 7](https://charlesreid1.com/wiki/Sqrt7)
	* [Sqrt 8](https://charlesreid1.com/wiki/Sqrt8)
	* [Pi](https://charlesreid1.com/wiki/Pi)
	* [Sqrt 10](https://charlesreid1.com/wiki/Sqrt10)

* Prime Numbers:
	* [Palindromic Primes](https://charlesreid1.com/wiki/Palindromic_Primes)
	* [Prime Generating Polynomials](https://charlesreid1.com/wiki/Prime_Generating_Polynomials)

* Sequences:
	* [Fibonacci Numbers](https://charlesreid1.com/wiki/Fibonacci_Numbers)
	* [Lucas Numbers](https://charlesreid1.com/wiki/Lucas_Numbers)
	* [General Fibonacci Numbers](https://charlesreid1.com/wiki/General_Fibonacci_Numbers)

* Special Numbers:
	* [Fermat Numbers](https://charlesreid1.com/wiki/Fermat_Numbers)

* Big Numbers:
	* [3 Tetrated](https://charlesreid1.com/wiki/3_Tetrated) - a really big number.
	* [4 Tetrated](https://charlesreid1.com/wiki/4_Tetrated) - a really, really big number.
	* [Tetration](https://charlesreid1.com/wiki/Tetration) - an operation to compactly write extremely large numbers
	* [Shannon Number](https://charlesreid1.com/wiki/Shannon_Number) - estimate of number of possible chess game outcomes (via Claude Shannon)
	* [Eddington Number](https://charlesreid1.com/wiki/Eddington_Number) - estimate of number of protons in the known universe (via Arthur Eddington)

<a name="wiki-numerical-methods"></a>
## Numerical Methods and Simulation

* [Fipy](https://charlesreid1.com/wiki/Fipy) - library for solving partial differential equations on a grid using Python
	* [Fipy and Cantera](https://charlesreid1.com/wiki/Fipy_and_Cantera) - combining Fipy (PDE solver) and Cantera (thermochemistry library)
	* [Fipy and Cantera/1D Diffusion](https://charlesreid1.com/wiki/Fipy_and_Cantera/1D_Diffusion) - Fipy and Cantera to solve 1D diffusion problems
	* [Fipy and Cantera/Simple Transient Problem](https://charlesreid1.com/wiki/Fipy_and_Cantera/Simple_Transient_Problem) - Fipy and Cantera to solve transient reacting flow problems

<a name="wiki-puzzles"></a>
## Puzzles

* Mathematics Puzzles:
	* [Four Fours](https://charlesreid1.com/wiki/Four_Fours) - a puzzle for writing numbers as a combination of four fours
	* [Five Fives](https://charlesreid1.com/wiki/Five_Fives) - extending the four fours puzzle to five fives 

* [Rubik's](https://charlesreid1.com/wiki/Rubiks) - notes on Rubik's cube and other related puzzles
	* [Rubik's Cube](https://charlesreid1.com/wiki/Rubiks_Cube) - notes on the 3x3 Rubik's Cube
	* [Rubik's Revenge](https://charlesreid1.com/wiki/Rubiks_Revenge) - notes on the 4x4 Rubik's Cube

<a name="wiki-hacking"></a>
## Hacking and Networking

*Notes on hacking tools, networking tools, and all-around security.*

* [Stunnel](https://charlesreid1.com/wiki/Stunnel) - tool for creating SSH tunnels (useful for punching through firewalls)
    * [Stunnel/Installing](https://charlesreid1.com/wiki/Stunnel/Installing) - installing stunnel
    * [Stunnel/Certificates](https://charlesreid1.com/wiki/Stunnel/Certificates) - setting up SSL certificates for stunnel
    * [Stunnel/Client](https://charlesreid1.com/wiki/Stunnel/Client) - running an stunnel client
    * [Stunnel/Server](https://charlesreid1.com/wiki/Stunnel/Server) - running an stunnel server
    * [Stunnel/Debugging](https://charlesreid1.com/wiki/Stunnel/Debugging) - techniques for debugging faulty stunnel connections
    * [Stunnel/Troubleshooting](https://charlesreid1.com/wiki/Stunnel/Troubleshooting) - see above
    * [Stunnel/Docker](https://charlesreid1.com/wiki/Stunnel/Docker) - how to set up a docker container to run an stunnel server
    * [Stunnel/Rsync](https://charlesreid1.com/wiki/Stunnel/Rsync) - running rsync connections over stunnel
    * [Stunnel/SCP](https://charlesreid1.com/wiki/Stunnel/SCP) - running scp connections over stunnel
    * [Stunnel/SSH](https://charlesreid1.com/wiki/Stunnel/SSH) - running ssh connections over stunnel
    * [Stunnel/Scp](https://charlesreid1.com/wiki/Stunnel/Scp) - running scp connections over stunnel
    * [Stunnel/OpenVPN](https://charlesreid1.com/wiki/Stunnel/OpenVPN) - making stunnel work over a VPN connection

* Networking
	* [Tcpdump](https://charlesreid1.com/wiki/Tcpdump)

* [Metasploitable](https://charlesreid1.com/wiki/Template:MetasploitableFlag) - a vulnerable virtual machine for learning and practicing security tools

* [Wireless](https://charlesreid1.com/wiki/Category:Wireless)

* [Man in the Middle attacks](https://charlesreid1.com/wiki/Template:MITMFlag)

* [Kali Linux](https://charlesreid1.com/wiki/Kali) - the ultimate security Linux distro
    * [Kali/Annoyances](https://charlesreid1.com/wiki/Kali/Annoyances)
    * [Kali/Anonymous Browsing](https://charlesreid1.com/wiki/Kali/Anonymous_Browsing)
    * [Kali/Attack Layers](https://charlesreid1.com/wiki/Kali/Attack_Layers)
    * [Kali/Change Mac Address](https://charlesreid1.com/wiki/Kali/Change_Mac_Address)
    * [Kali/Custom ARM Image](https://charlesreid1.com/wiki/Kali/Custom_ARM_Image)
    * [Kali/Dual Boot OS X](https://charlesreid1.com/wiki/Kali/Dual_Boot_OS_X)
    * [Kali/Fixes](https://charlesreid1.com/wiki/Kali/Fixes)
    * [Kali/HackRF](https://charlesreid1.com/wiki/Kali/HackRF)
    * [Kali/Installing](https://charlesreid1.com/wiki/Kali/Installing)
    * [Kali/Layer 1 Attacks](https://charlesreid1.com/wiki/Kali/Layer_1_Attacks)
    * [Kali/Layer 2 Attacks](https://charlesreid1.com/wiki/Kali/Layer_2_Attacks)
    * [Kali/Layer 3 Attacks](https://charlesreid1.com/wiki/Kali/Layer_3_Attacks)
    * [Kali/Layer 4 Attacks](https://charlesreid1.com/wiki/Kali/Layer_4_Attacks)
    * [Kali/Layer 5 Attacks](https://charlesreid1.com/wiki/Kali/Layer_5_Attacks)
    * [Kali/Live USB](https://charlesreid1.com/wiki/Kali/Live_USB)
    * [Kali/Moving Root Partition](https://charlesreid1.com/wiki/Kali/Moving_Root_Partition)
    * [Kali/Moving Usr Partition](https://charlesreid1.com/wiki/Kali/Moving_Usr_Partition)
    * [Kali/Nethunter](https://charlesreid1.com/wiki/Kali/Nethunter)
    * [Kali/Persistent USB](https://charlesreid1.com/wiki/Kali/Persistent_USB)
    * [Kali/Post Install](https://charlesreid1.com/wiki/Kali/Post_Install)
    * [Kali/RaspberryPi](https://charlesreid1.com/wiki/Kali/RaspberryPi)
    * [Kali/Shortcuts](https://charlesreid1.com/wiki/Kali/Shortcuts)
    * [Kali/Upgrading](https://charlesreid1.com/wiki/Kali/Upgrading)
    * [Kali/WEP Cracking](https://charlesreid1.com/wiki/Kali/WEP_Cracking)
    * [Kali/Wireless](https://charlesreid1.com/wiki/Kali/Wireless)
    * [Kali/Wordlists](https://charlesreid1.com/wiki/Kali/Wordlists)
    * [Kali/Workflow](https://charlesreid1.com/wiki/Kali/Workflow)
    * [Kali 2.0/John the Ripper](https://charlesreid1.com/wiki/Kali_2.0/John_the_Ripper)
    * [Kali 2.0/Wireless Debugging](https://charlesreid1.com/wiki/Kali_2.0/Wireless_Debugging)
    * [Kali Fixes](https://charlesreid1.com/wiki/Kali_Fixes)
    * [Kali Live USB](https://charlesreid1.com/wiki/Kali_Live_USB)
    * [Kali Network Debugging](https://charlesreid1.com/wiki/Kali_Network_Debugging)
    * [Kali Top 10](https://charlesreid1.com/wiki/Kali_Top_10)
    * [Kali Wireless Debugging](https://charlesreid1.com/wiki/Kali_Wireless_Debugging)
    * [Kali Wireless Debugging Part 2](https://charlesreid1.com/wiki/Kali_Wireless_Debugging_Part_2)
    * [Kali Wireless Debugging Part 3](https://charlesreid1.com/wiki/Kali_Wireless_Debugging_Part_3)

* Devices
	* [Technicolor C2100T](https://charlesreid1.com/wiki/Technicolor_C2100T)
	* [Raspberry Pi](https://charesreid1.com/wiki/RasbperryPi)

* [Docker](https://charlesreid1.com/wiki/Docker) - containerized systems and virtualized operating systems (no hardware)
	* [Docker/Basics](https://charlesreid1.com/wiki/Docker/Basics)
	* [Docker/Boats](https://charlesreid1.com/wiki/Docker/Boats)
	* [Docker/Boats/Wifi](https://charlesreid1.com/wiki/Docker/Boats/Wifi)
	* [Docker/Deep Learning](https://charlesreid1.com/wiki/Docker/Deep_Learning)
	* [Docker/Dockerfiles](https://charlesreid1.com/wiki/Docker/Dockerfiles)
	* [Docker/Dockerfiles/Git](https://charlesreid1.com/wiki/Docker/Dockerfiles/Git)
	* [Docker/Dockerhub](https://charlesreid1.com/wiki/Docker/Dockerhub)
	* [Docker/Installing](https://charlesreid1.com/wiki/Docker/Installing)
	* [Docker/MachineLearning](https://charlesreid1.com/wiki/Docker/MachineLearning)
	* [Docker/Network Debugging](https://charlesreid1.com/wiki/Docker/Network_Debugging)
	* [Docker/Networking](https://charlesreid1.com/wiki/Docker/Networking)
	* [Docker/Pods](https://charlesreid1.com/wiki/Docker/Pods)
	* [Docker/Pods/Deep Learning](https://charlesreid1.com/wiki/Docker/Pods/Deep_Learning)
	* [Docker/Pods/Wifi](https://charlesreid1.com/wiki/Docker/Pods/Wifi)
	* [Docker/Removing Images](https://charlesreid1.com/wiki/Docker/Removing_Images)
	* [Docker/Rsync](https://charlesreid1.com/wiki/Docker/Rsync)
	* [Docker/UGR Wifi Boat](https://charlesreid1.com/wiki/Docker/UGR_Wifi_Boat)
	* [Docker/Volumes](https://charlesreid1.com/wiki/Docker/Volumes)

<a name="wiki-minipwners"></a>
## MiniPwners

*MiniPwners are tiny, pocket-sized computers that can be used as hacking devices.*

Widy:
* [Widy](https://charlesreid1.com/wiki/Widy) - wireless TP-Link 3040 pocket router running OpenWrt
    * [Widy/Access Point](https://charlesreid1.com/wiki/Widy/Access_Point) - turning a Widy pocket router into a (secure) wireless router access point
    * [Widy/Access Point/SSH](https://charlesreid1.com/wiki/Widy/Access_Point/SSH) - Create a wireless network with the Widy, called OpenWrts. From machine A, connect to OpenWrts network. Obtain IP address 10.0.0.140. From machine B, connect to OpenWrts network. Obtain IP address 10.0.0.228. Create an active and working network connection between machine A and machine B.
    * [Widy/Aircrack](https://charlesreid1.com/wiki/Widy/Aircrack) - installing and configuring the aircrack-ng suite to work on Widy
    * [Widy/Bridging](https://charlesreid1.com/wiki/Widy/Bridging) - creating a bridge between network connections (wired and wireless)
    * [Widy/Configuration](https://charlesreid1.com/wiki/Widy/Configuration) - how to use the web interface and command line interface to set configuration options for Widy
    * [Widy/Installing](https://charlesreid1.com/wiki/Widy/Installing) - how to flash the router with the OpenWrt image
    * [Widy/Post-Install](https://charlesreid1.com/wiki/Widy/Post-Install) - what to install and how, once you've flashed the router with the OpenWrt image
    * [Widy/Redux](https://charlesreid1.com/wiki/Widy/Redux) - getting Widy up and running 
    * [Widy/Scapy](https://charlesreid1.com/wiki/Widy/Scapy) - installing Scapy (to manipulate packets via Python) on Widy
    * [Widy/Serial](https://charlesreid1.com/wiki/Widy/Serial) - connecting to Widy over serial connection (requires soldering and disassembly)
    * [Widy/Startup Services](https://charlesreid1.com/wiki/Widy/Startup_Services) - setting startup services to run on boot when Widy is started
    * [Widy/Tcpdump](https://charlesreid1.com/wiki/Widy/Tcpdump) - installing tcpdump (to dump network traffic) on Widy
    * [Widy/Toolbox](https://charlesreid1.com/wiki/Widy/Toolbox) - installing various tools (tcpdump, aircrack, scapy, stunnel, etc.) on Widy
    * [Widy/Tricks](https://charlesreid1.com/wiki/Widy/Tricks) - how to use the Widy pocket router

Raspberry Pi:
* [Kali Raspberry Pi](https://charlesreid1.com/wiki/Kali_Raspberry_Pi) - installing Kali Linux on a Raspberry Pi
    * [Kali Raspberry Pi/Headless](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Headless) - connecting to a headless installation of Kali Linux running on a Raspberry Pi
    * [Kali Raspberry Pi/Headless Walkthrough](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Headless_Walkthrough) - A step-by-step walkthrough of connecting to a headless Raspberry Pi running Kali 2.0 via a crossover cable. 
    * [Kali Raspberry Pi/Installing](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Installing) - installing Kali Linux on a Raspberry Pi using an SD card
    * [Kali Raspberry Pi/Post-Install](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Post-Install) - procedure after you install Kali Linux on the Raspberry Pi (MUST DO!!! ABSOLUTELY NECESSARY!!!)
    * [Kali Raspberry Pi/SD Card](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/SD_Card) - the Kali Linux SD card
    * [Kali Raspberry Pi/SSH](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/SSH) - setting SSH configuration settings on Raspberry Pi post-install and on boot
    * [Kali Raspberry Pi/Startup Services](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Startup_Services) - setting startup services to run on boot in Raspberry Pi running Kali Linux
    * [Kali Raspberry Pi/Tcpdump](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/Tcpdump) - using tcpdump to turn the Raspberry Pi into a network tap
    * [Kali Raspberry Pi/WirelessRouter](https://charlesreid1.com/wiki/Kali_Raspberry_Pi/WirelessRouter) - turning the Raspberry Pi into a wireless router using hostapd



<a name="wiki-radio"></a>
## Radio

*Notes related to ham radio and software defined radio.*

* [Ham Radio](https://charlesreid1.com/wiki/Template:RadioFlag)
	* [General](https://charlesreid1.com/wiki/General) - Notes from studying for general class ham license.
	* [Radio/Digital Modes](https://charlesreid1.com/wiki/Radio/Digital_Modes) - digital modes for ham radio.
	* [SSTV](https://charlesreid1.com/wiki/SSTV) - Slow scan TV

* [SDR](https://charlesreid1.com/wiki/Template:SDRFlag)
	* [SDR](https://charlesreid1.com/wiki/SDR) - Software defined radio 
	* [Fldigi](https://charlesreid1.com/wiki/Fldigi) - Polyglot package for digital modes
	* [Flmsg](https://charlesreid1.com/wiki/Flmsg) - Backend for fldigi
	* [Digital Modes on Raspberry Pi](https://charlesreid1.com/wiki/RaspberryPi/Digital_Modes) - running digital modes using a Raspberry Pi



<br />
<br />



<a name="bots"></a>
# Twitter bots

*Twitter bot flocks.*

<a name="bots-apollo"></a>
## Apollo Space Junk Bot Flock

* [apollospacejunk](https://charlesreid1.com:3000/charlesreid1/apollospacejunk) - Apollo Space Junk Twitter Bot Flock. Tweeting fake Apollo radio chatter.

<a name="bots-milton"></a>
## Paradise Lost Bot Flock

* [milton](https://charlesreid1.com:3000/charlesreid1/milton) - Perpetually tweeting John Milton's Paradise Lost on Twitter.

<a name="bots-ginsberg"></a>
## Ginsberg Bot Flock

* [ginsberg](https://charlesreid1.com:3000/charlesreid1/ginsberg) - Perpetually tweeting Allen Ginsberg poems on Twitter.

<a name="bots-watergate"></a>
## This Is Watergate Bot

* [watergate](https://charlesreid1.com:3000/charlesreid1/watergate) - A Watergate White House tapes dialogue generator.

<a name="bots-code"></a>
## Code

Twitter bots code at git.charlesreid1.com:
* [apollospacejunk](https://charlesreid1.com:3000/charlesreid1/apollospacejunk) - Apollo Space Junk Twitter Bot Flock. Tweeting fake Apollo radio chatter.
* [milton](https://charlesreid1.com:3000/charlesreid1/milton) - Perpetually tweeting John Milton's Paradise Lost on Twitter.
* [ginsberg](https://charlesreid1.com:3000/charlesreid1/ginsberg) - Perpetually tweeting Allen Ginsberg poems on Twitter.
* [watergate](https://charlesreid1.com:3000/charlesreid1/watergate) - A Watergate White House tapes dialogue generator.
* [rainbow-mind-machine](https://charlesreid1.com:3000/charlesreid1/rainbow-mind-machine) -  An extendable framework for running Twitter bot flocks. 


<br />
<br />


<a name="lit"></a>
# Reading

My record of what I've read over the last 10 years: [My Reading List](https://charlesreid1.com/wiki/My_Reading_List)

My record of what I've highlighted over the last 7 years on my Kindle: [My Kindle Clippings](https://charlesreid1.com/wiki/My_Kindle_Clippings)

My list of quotes, most extracted from books: [Quotes](https://charlesreid1.com/wiki/Quotes)

Compiled list of book notes from the Charlesreid1 wiki:
* [Ulysses](https://charlesreid1.com/wiki/Ulysses) (Joyce)
* [The Idiot](https://charlesreid1.com/wiki/The_Idiot) (Dostoyevsky)
* [Philosophical Remarks](https://charlesreid1.com/wiki/Philosophical_Remarks) (Wittgenstein)
* [Vietnam](https://charlesreid1.com/wiki/Vietnam) (Karnow)
* [Wars of Watergate](https://charlesreid1.com/wiki/Wars_of_Watergate) (Kutler)
* [Watergate](https://charlesreid1.com/wiki/Watergate) (topic page)
* [Basic Writings of Bertrand Russell](https://charlesreid1.com/wiki/Basic_Writings_of_Bertrand_Russel) (Russell)
* [D-Day](https://charlesreid1.com/wiki/D-Day) (Beevor)
* [The Gun](https://charlesreid1.com/wiki/The_Gun) (Chivers)
* [Rise and Fall of the Third Reich](https://charlesreid1.com/wiki/Rise_and_Fall_of_the_Third_Reich) (Shirer)
* [Dead Sea Scrolls](https://charlesreid1.com/wiki/Category:Dead_Sea_Scrolls) (topic page)


<br />
<br />


<a name="spotify"></a>
# Jams

*Favorite Spotify playlists, compliments of yours truly.*

[We Scrap It Out Dog](https://open.spotify.com/user/charlesreid1/playlist/0sArIea7DYPY9r98gV2zR5)

[Call Me On My Burner Phone](https://open.spotify.com/user/charlesreid1/playlist/2mfMZOaeWR5QTAxDeT8mBG)

[Murray And The Bear](https://open.spotify.com/user/charlesreid1/playlist/1mKqin3wHC8SWarokFfsrn)

[Astronauts Drink (Wu) Tang](https://open.spotify.com/user/charlesreid1/playlist/4qQUpJO4Dc52Lk9MO9iqxS)

[Fresh Pair Kix](https://open.spotify.com/user/charlesreid1/playlist/4bEYlNBWqtEIcQAAwtHFML)

[Random Hops](https://open.spotify.com/user/charlesreid1/playlist/6B3LaE3tA8XIXCMacU30oU)

[One-Armed Dancer](https://open.spotify.com/user/charlesreid1/playlist/1nWdkXIzjybx6R7Hy474V9)

[Hapiness And/Or Death By Sevens](https://open.spotify.com/user/charlesreid1/playlist/6hpcJJIPxk1mBw68b3AjRm)

[In The Shadows (Best Foot Forward)](https://open.spotify.com/user/charlesreid1/playlist/2k2O5IwIHIRcdO4fdxQt4H)

[In The Shadows (Pandigital)](https://open.spotify.com/user/charlesreid1/playlist/40QHLApVV0fKufYM6tXrqD)

[Rap Snacks](https://open.spotify.com/user/charlesreid1/playlist/6SzSC7s97VlXGXRp9ghXGB)

[Kewl Jazz](https://open.spotify.com/user/charlesreid1/playlist/7u2IQybnMjxzwYWJrm5TOX)

[Outerspox](https://open.spotify.com/user/charlesreid1/playlist/2I5lscDcoJk9HJHkEN8ziN)

[Marching Tides](https://open.spotify.com/user/charlesreid1/playlist/5z2t5kevr9y9JdNbK10YPI)

[Pass The May-O](https://open.spotify.com/user/charlesreid1/playlist/7zymxKvkowIfzMAhD7rQR2)

[Hotline Miami](https://open.spotify.com/user/charlesreid1/playlist/39LJClYwUurKDapZGegZzk)

[Sprite Fryer](https://open.spotify.com/user/charlesreid1/playlist/6BLabGrC3LzncJdKxhR55X)

[Fright Nighter](https://open.spotify.com/user/charlesreid1/playlist/05IyLBnDzDWGrcaFqIGGya)

[Right Spryder](https://open.spotify.com/user/charlesreid1/playlist/7b4GHIOOv3QnTQuaRBp9Y9)

[Knight Ryder](https://open.spotify.com/user/charlesreid1/playlist/1BM8xhYmQ5YU067gckZOXl)

[Might Fighter](https://open.spotify.com/user/charlesreid1/playlist/3fbbS9fhC6zZxtrxX6EX79)

